[EFL] Bump glib version from 2.36 to 2.38
authorgyuyoung.kim@samsung.com <gyuyoung.kim@samsung.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Fri, 28 Mar 2014 10:34:05 +0000 (10:34 +0000)
committergyuyoung.kim@samsung.com <gyuyoung.kim@samsung.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Fri, 28 Mar 2014 10:34:05 +0000 (10:34 +0000)
https://bugs.webkit.org/show_bug.cgi?id=130886

Reviewed by Csaba Osztrogonác.

.:

* Source/cmake/OptionsEfl.cmake: Required glib-2.38 version.

Tools:

There is a build break on EFL port when using glib 2.36 ver. To fix it,
we need to bump glib version up to 2.38 as gtk port.

* efl/jhbuild.modules:

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@166403 268f45cc-cd09-0410-ab3c-d52691b4dbfc

ChangeLog
Source/cmake/OptionsEfl.cmake
Tools/ChangeLog
Tools/efl/jhbuild.modules

index 81c84ed..38c5351 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,12 @@
+2014-03-28  Gyuyoung Kim  <gyuyoung.kim@samsung.com>
+
+        [EFL] Bump glib version from 2.36 to 2.38 
+        https://bugs.webkit.org/show_bug.cgi?id=130886
+
+        Reviewed by Csaba Osztrogonác.
+
+        * Source/cmake/OptionsEfl.cmake: Required glib-2.38 version.
+
 2014-03-26  Zoltan Horvath  <zoltan@webkit.org>
 
         [CSS Shapes] Remove shape-inside support
index 77d1cb3..58fd3f5 100644 (file)
@@ -20,7 +20,7 @@ find_package(JPEG REQUIRED)
 find_package(PNG REQUIRED)
 find_package(ZLIB REQUIRED)
 
-find_package(GLIB 2.36.0 REQUIRED COMPONENTS gio gobject gthread)
+find_package(GLIB 2.38.0 REQUIRED COMPONENTS gio gobject gthread)
 find_package(LibSoup 2.42.0 REQUIRED)
 
 set(WTF_USE_SOUP 1)
index 36c58fb..c3685f7 100644 (file)
@@ -1,3 +1,15 @@
+2014-03-28  Gyuyoung Kim  <gyuyoung.kim@samsung.com>
+
+        [EFL] Bump glib version from 2.36 to 2.38 
+        https://bugs.webkit.org/show_bug.cgi?id=130886
+
+        Reviewed by Csaba Osztrogonác.
+
+        There is a build break on EFL port when using glib 2.36 ver. To fix it,
+        we need to bump glib version up to 2.38 as gtk port.
+
+        * efl/jhbuild.modules:
+
 2014-03-27  Mikhail Pozdnyakov  <mikhail.pozdnyakov@intel.com>
 
         <https://webkit.org/b/42704> WebKitTestRunner needs to print history delegate information
index 98ed69d..e5977fb 100644 (file)
     <dependencies>
       <dep package="libffi"/>
     </dependencies>
-    <branch module="/pub/GNOME/sources/glib/2.36/glib-2.36.0.tar.xz" version="2.36.0"
+    <branch module="/pub/GNOME/sources/glib/2.38/glib-2.38.0.tar.xz" version="2.38.0"
             repo="ftp.gnome.org"
-            hash="sha256:455a8abe8692c5174bcc7ffa15b96a7521a2f2f9fb47594405927c35cb9bb227"/>
+            hash="sha256:7513a7de5e814ccb48206340a8773ea523d6a7bf04dc74565de69b899bc2ff32"/>
   </autotools>
 
   <autotools id="glib-networking">